/**************************************************************************************
 * Copyright (c) Jonas Bonr, Alexandre Vasseur. All rights reserved.                 *
 * http://aspectwerkz.codehaus.org                                                    *
 * ---------------------------------------------------------------------------------- *
 * The software in this package is published under the terms of the LGPL license      *
 * a copy of which has been included with this distribution in the license.txt file.  *
 **************************************************************************************/
package org.codehaus.aspectwerkz.attribdef.definition.attribute;

/**
 * Attribute for the after advice construct.
 *
 * @author <a href="mailto:jboner@codehaus.org">Jonas Bonr</a>
 */
public class AfterAttribute extends AbstractAdviceAttribute {

    /**
     * Create an Before attribute.
     *
     * @param name the name of the advice
     * @param expression the expression for the advice
     */
    public AfterAttribute(final String name, final String expression) {
        super(name, expression);
    }
}
